QUOTACHECK(8)

NAME
quotacheck - file system quota consistency checker

SYNOPSIS
/usr/etc/quotacheck [ -v ] [ -p ] filesystem...

/usr/etc/quotacheck [ -apv ]

DESCRIPTION

quotacheck examines each file system, builds a table of current disk usage, and compares this table against that stored in the disk quota file for the file system. If any inconsistencies are detected, both the quota file and the current system copy of the incorrect quotas are updated (the latter only occurs if an active file system is checked).

quotacheck expects each file system to be checked to have a quota file named quotas in the root directory. If none is present, quotacheck will ignore the file system.

quotacheck is normally run at boot time from the /etc/rc.local file, see rc(8), before enabling disk quotas with quotaon(8).

quotacheck accesses the raw device in calculating the actual disk usage for each user. Thus, the file systems checked should be quiescent while quotacheck is running.

OPTIONS

-v  Indicate the calculated disk quotas for each user on a particular file system. quotacheck normally reports only those quotas modified.

-a  Check all the file systems indicated in /etc/fstab to be read-write with disk quotas.

-p  Run parallel passes on the required file systems, using the pass numbers in /etc/fstab in an identical fashion to fsck(8).

FILES
quotas
    quota file at the file system root
/etc/mtab
    mounted file systems
/etc/fstab
    default file systems

SEE ALSO
quotactl(2), quotaon(8), rc(8)